Axiomatic
Platform

Integrations

Plaid bank linking and transaction sync

POST
/api/plaid/link-token

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/plaid/link-token" \  -H "Content-Type: application/json" \  -d '{    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5"  }'
{
  "linkToken": "string"
}
{
  "error": "string"
}

Exchange Plaid public token for access token

POST
/api/plaid/exchange-token

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/plaid/exchange-token" \  -H "Content-Type: application/json" \  -d '{    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",    "publicToken": "string",    "institutionId": "string"  }'
{}
{
  "error": "string"
}

Sync transactions from Plaid

POST
/api/plaid/sync

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/plaid/sync" \  -H "Content-Type: application/json" \  -d '{    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",    "linkedAccountId": "61224e78-a02f-4040-ac7e-3dd716a4b677"  }'
{
  "added": 0,
  "modified": 0,
  "removed": 0,
  "duplicatesSkipped": 0
}
{
  "error": "string"
}